get
/api/v2/integrations/live-preflightsList sanitized external live-preflight readiness states.
Returns product-facing readiness for credential-gated external integration proofs, including blocker summaries, setup destinations, setup-specific CTA labels, explicit-approval policy, no-live-call policy, and product proof intent. The response does not include raw environment variable names, secret names, raw commands, or provider calls.
Requires bearer API key
Parameters
No parameters.
Responses
200
Sanitized external live-preflight readiness.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"generatedAt": {
"type": "string",
"format": "date-time"
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"surface": {
"type": "string"
},
"title": {
"type": "string"
},
"productSurface": {
"type": "string"
},
"setupHref": {
"type": "string"
},
"setupCta": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"blocked",
"ready_when_explicitly_approved"
]
},
"statusLabel": {
"type": "string",
"enum": [
"Blocked",
"Ready when explicitly approved"
]
},
"blockerCategories": {
"type": "array",
"items": {
"type": "string",
"enum": [
"live_gate",
"provider_credential",
"required_value"
]
}
},
"blockerSummary": {
"type": "string"
},
"setupItems": {
"type": "array",
"items": {
"type": "string"
}
},
"setupChecklist": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"label": {
"type": "string"
},
"category": {
"type": "string",
"enum": [
"live_gate",
"provider_credential",
"required_value"
]
},
"categoryLabel": {
"type": "string",
"enum": [
"Approval",
"Connection",
"Selection"
]
}
},
"required": [
"label",
"category",
"categoryLabel"
]
}
},
"readinessLabel": {
"type": "string"
},
"sideEffectLabel": {
"type": "string"
},
"sideEffects": {
"type": "string",
"enum": [
"none_preflight_only"
]
},
"approvalPolicy": {
"type": "string",
"enum": [
"explicit_approval_required"
]
},
"approvalPolicyLabel": {
"type": "string"
},
"evidenceType": {
"type": "string",
"enum": [
"external_live_preflight"
]
},
"databaseRequired": {
"type": "boolean"
},
"proves": {
"type": "string"
}
},
"required": [
"surface",
"title",
"productSurface",
"setupHref",
"setupCta",
"status",
"statusLabel",
"blockerCategories",
"blockerSummary",
"setupItems",
"setupChecklist",
"readinessLabel",
"sideEffectLabel",
"sideEffects",
"approvalPolicy",
"approvalPolicyLabel",
"evidenceType",
"databaseRequired",
"proves"
]
}
},
"summary": {
"type": "object",
"additionalProperties": false,
"properties": {
"total": {
"type": "integer"
},
"ready": {
"type": "integer"
},
"blocked": {
"type": "integer"
},
"needsLiveGate": {
"type": "integer"
},
"needsCredential": {
"type": "integer"
},
"needsRequiredValue": {
"type": "integer"
}
},
"required": [
"total",
"ready",
"blocked",
"needsLiveGate",
"needsCredential",
"needsRequiredValue"
]
}
},
"required": [
"generatedAt",
"items",
"summary"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.